> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get metadata taxonomy items

export const Link = ({href, children, className, ...props}) => {
  const localizedHref = href;
  return <a href={localizedHref} className={className} {...props}>
      {children}
    </a>;
};

export const MultiRelatedLinks = ({sections = []}) => {
  if (!sections || sections.length === 0) {
    return null;
  }
  return <div className="space-y-8">
      {sections.map((section, index) => <RelatedLinks key={index} title={section.title} items={section.items} />)}
    </div>;
};

export const RelatedLinks = ({title, items = []}) => {
  const getBadgeClass = badge => {
    if (!badge) return "badge-default";
    const badgeType = badge.toLowerCase().replace(/\s+/g, "-");
    return `badge-${badge === "ガイド" ? "guide" : badgeType}`;
  };
  if (!items || items.length === 0) {
    return null;
  }
  return <div className="my-8">
      {}
      <h3 className="text-sm font-bold uppercase tracking-wider mb-4">{title}</h3>

      {}
      <div className="flex flex-col gap-3">
        {items.map((item, index) => <a key={index} href={item.href} className="py-2 px-3 rounded related_link hover:bg-[#f2f2f2] dark:hover:bg-[#111827] flex items-center gap-3 group no-underline hover:no-underline border-b-0">
            {}
            <span className={`px-2 py-1 rounded-full text-xs font-semibold uppercase tracking-wide flex-shrink-0 ${getBadgeClass(item.badge)}`}>
              {item.badge}
            </span>

            {}
            <span className="text-base">{item.label}</span>
          </a>)}
      </div>
    </div>;
};

Information about metadata taxonomies can be retrieved using the `namespace`, `taxonomy_key`, `node_id`, and `field_key`.

## List metadata taxonomy nodes

Retrieve a list of nodes defined within a metadata taxonomy. Nodes are the hierarchical data available in your taxonomy.

To list all nodes, call the <Link href="/reference/get-metadata-taxonomies-id-id-nodes">`GET /metadata_taxonomies/{namespace}/{taxonomy_key}/nodes`</Link> API endpoint.

<CodeGroup>
  ```sh cURL theme={null}

  curl --request GET \ 
    --url https://api.box.com/2.0/metadata_taxonomies/{namespace}/{taxonomy_key}/nodes \ 
    --header 'Authorization: Bearer <token>' 
  ```

  ```python Python v10 theme={null}
  client.metadata_taxonomies.get_metadata_taxonomy_nodes(namespace, taxonomy_key)
  ```

  ```typescript Node/TypeScript v10 theme={null}
  await client.metadataTaxonomies.getMetadataTaxonomyNodes(namespace, taxonomyKey);
  ```

  ```swift Swift v10 theme={null}
  try await client.metadataTaxonomies.getMetadataTaxonomyNodes(namespace: namespace, taxonomyKey: taxonomyKey)
  ```

  ```java Java v10 theme={null}
  client.getMetadataTaxonomies().getMetadataTaxonomyNodes(namespace, taxonomyKey)
  ```

  ```cs .NET v10 theme={null}
  await client.MetadataTaxonomies.GetMetadataTaxonomyNodesAsync(namespaceParam: namespaceParam, taxonomyKey: taxonomyKey);
  ```
</CodeGroup>

<Info>
  Additional information is available for the <Link href="/reference/resources/metadata-taxonomy#schema-namespace">`namespace`</Link> and <Link href="/reference/resources/metadata-taxonomy#schema-key">`taxonomy_key`</Link> of a taxonomy.
</Info>

## Get a metadata taxonomy by key

Get the full definition of a specific taxonomy including how many levels it has, and what the display names and descriptions of those levels are.

To get information by taxonomy key, call the <Link href="/reference/get-metadata-taxonomies-id-id">`GET /metadata_taxonomies/{namespace}/{taxonomy_key}`</Link> API endpoint.

<CodeGroup>
  ```sh cURL theme={null}

  curl --request GET \ 
    --url https://api.box.com/2.0/metadata_taxonomies/{namespace}/{taxonomy_key} \ 
    --header 'Authorization: Bearer <token>'
  ```

  ```python Python v10 theme={null}
  client.metadata_taxonomies.get_metadata_taxonomy_by_key(namespace, taxonomy_key)
  ```

  ```typescript Node/TypeScript v10 theme={null}
  await client.metadataTaxonomies.getMetadataTaxonomyByKey(
    namespace,
    taxonomyKey,
  );
  ```

  ```swift Swift v10 theme={null}
  try await client.metadataTaxonomies.getMetadataTaxonomyByKey(namespace: namespace, taxonomyKey: taxonomyKey)
  ```

  ```java Java v10 theme={null}
  client.getMetadataTaxonomies().getMetadataTaxonomyByKey(namespace, taxonomyKey)
  ```

  ```cs .NET v10 theme={null}
  await client.MetadataTaxonomies.GetMetadataTaxonomyByKeyAsync(namespaceParam: namespaceParam, taxonomyKey: taxonomyKey);
  ```
</CodeGroup>

<Info>
  Additional information is available for the <Link href="/reference/resources/metadata-taxonomy#schema-namespace">`namespace`</Link> and <Link href="/reference/resources/metadata-taxonomy#schema-key">`taxonomy_key`</Link> of a taxonomy.
</Info>

## Get a metadata taxonomy node by ID

You can fetch a specific node and its metadata using its ID. Nodes are the hierarchical data available in your taxonomy.

To get a node, call the <Link href="/reference/get-metadata-taxonomies-id-id-nodes-id">`GET /metadata_taxonomies/{namespace}/{taxonomy_key}/nodes/{node_id}`</Link> API endpoint.

<CodeGroup>
  ```sh cURL theme={null}

  curl --request GET \ 
    --url https://api.box.com/2.0/metadata_taxonomies/{namespace}/{taxonomy_key}/nodes/{node_id} \ 
    --header 'Authorization: Bearer <token>' 
  ```

  ```python Python v10 theme={null}
  client.metadata_taxonomies.get_metadata_taxonomy_node_by_id(
      namespace, taxonomy_key, country_node.id
  )
  ```

  ```typescript Node/TypeScript v10 theme={null}
  await client.metadataTaxonomies.getMetadataTaxonomyNodeById(
    namespace,
    taxonomyKey,
    countryNode.id,
  );
  ```

  ```swift Swift v10 theme={null}
  try await client.metadataTaxonomies.getMetadataTaxonomyNodeById(namespace: namespace, taxonomyKey: taxonomyKey, nodeId: countryNode.id)
  ```

  ```java Java v10 theme={null}
  client.getMetadataTaxonomies().getMetadataTaxonomyNodeById(namespace, taxonomyKey, countryNode.getId())
  ```

  ```cs .NET v10 theme={null}
  await client.MetadataTaxonomies.GetMetadataTaxonomyNodeByIdAsync(namespaceParam: namespaceParam, taxonomyKey: taxonomyKey, nodeId: countryNode.Id);
  ```
</CodeGroup>

<Info>
  Additional information is available for the <Link href="/reference/resources/metadata-taxonomy#schema-namespace">`namespace`</Link>, <Link href="/reference/resources/metadata-taxonomy#schema-key">`taxonomy_key`</Link>, and <Link href="/reference/resources/metadata-taxonomy-node#schema-id">`node_id`</Link> of a taxonomy.
</Info>

## List metadata taxonomy field options

Retrieve the nodes that serve as selectable options for a taxonomy field, as defined inside a metadata template.

To list possible values for taxonomy nodes in a template, call the <Link href="/reference/get-metadata-templates-id-id-fields-id-options">`GET /metadata_templates/{namespace}/{template_key}/fields/{field_key}/options`</Link> API endpoint.

<CodeGroup>
  ```sh cURL theme={null}

  curl --request GET \  
    --url https://api.box.com/2.0/metadata_templates/{namespace}/{template_key}/fields/{field_key}/options \ 
    --header 'Authorization: Bearer <token>'
  ```

  ```python Python v10 theme={null}
  client.metadata_taxonomies.get_metadata_template_field_options(
      namespace, metadata_template_key, "taxonomy"
  )
  ```

  ```typescript Node/TypeScript v10 theme={null}
  await client.metadataTaxonomies.getMetadataTemplateFieldOptions(
    namespace,
    metadataTemplateKey,
    'taxonomy',
  );
  ```

  ```swift Swift v10 theme={null}
  try await client.metadataTaxonomies.getMetadataTemplateFieldOptions(namespace: namespace, templateKey: metadataTemplateKey, fieldKey: "taxonomy")
  ```

  ```java Java v10 theme={null}
  client.getMetadataTaxonomies().getMetadataTemplateFieldOptions(namespace, metadataTemplateKey, "taxonomy")
  ```

  ```cs .NET v10 theme={null}
  await client.MetadataTaxonomies.GetMetadataTemplateFieldOptionsAsync(namespaceParam: namespaceParam, templateKey: metadataTemplateKey, fieldKey: "taxonomy");
  ```
</CodeGroup>

<Info>
  Additional information is available for the <Link href="/reference/resources/metadata-taxonomy#schema-namespace">`namespace`</Link>, <Link href="/guides/metadata/templates/create#template-keys">`template_key`</Link>, and <Link href="/guides/metadata/templates/create">`field_key`</Link> of a taxonomy.
</Info>

<RelatedLinks
  title="RELATED APIS"
  items={[
{ label: translate("List metadata taxonomy nodes"), href: "/reference/get-metadata-taxonomies-id-id-nodes", badge: "GET" },
{ label: translate("Get metadata taxonomy by taxonomy key"), href: "/reference/get-metadata-taxonomies-id-id", badge: "GET" },
{ label: translate("Get metadata taxonomy node by ID"), href: "/reference/get-metadata-taxonomies-id-id-nodes-id", badge: "GET" },
{ label: translate("List metadata template's options for taxonomy field"), href: "/reference/get-metadata-templates-id-id-fields-id-options", badge: "GET" }
]}
/>

<RelatedLinks
  title="RELATED GUIDES"
  items={[

{ label: translate("Create metadata taxonomy items"), href: "/guides/metadata/taxonomies/create", badge: "GUIDE" },
{ label: translate("List metadata taxonomies"), href: "/guides/metadata/taxonomies/list", badge: "GUIDE" },
{ label: translate("Update metadata taxonomies"), href: "/guides/metadata/taxonomies/update", badge: "GUIDE" },
{ label: translate("Remove metadata taxonomy items"), href: "/guides/metadata/taxonomies/remove", badge: "GUIDE" }

]}
/>

<RelatedLinks
  title="RELATED RESOURCES"
  items={[

{ label: translate("Metadata"), href: "/guides/metadata/index", badge: "GUIDE" }

]}
/>
